Package com.ocient.cli

## Class FastStringTokenizer

- java.lang.Object
- - com.ocient.cli.FastStringTokenizer

    public final class FastStringTokenizer
    extends Object

### Constructor Summary

Constructors
`FastStringTokenizer​(String string, String delim, boolean bool)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `allTokens()`
`FastStringTokenizer` `clone()`
`int` `getLimit()`
`boolean` `hasMoreTokens()`
`String` `nextToken()`
`void` `reuse​(String string, String delim, boolean bool)`
`void` `setIndex​(int index)`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FastStringTokenizer

    public FastStringTokenizer​(String string,
                               String delim,
                               boolean bool)

### Method Detail

#### allTokens

    public String[] allTokens()

#### clone

    public FastStringTokenizer clone()

Overrides:
  `clone` in class `Object`

#### getLimit

    public int getLimit()

#### hasMoreTokens

    public boolean hasMoreTokens()

#### nextToken

    public String nextToken()

#### reuse

    public final void reuse​(String string,
                            String delim,
                            boolean bool)

#### setIndex

    public void setIndex​(int index)